%define name    kscope
%define version 1.6.2
%define release %mkrel 1
%define Summary KDE frontend to Cscope

# Work around for different libtool use in kde 
%define __libtoolize true

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release
License: 	BSD
Group: 		Development/Other
Source: 	http://ovh.dl.sourceforge.net/sourceforge/kscope/%name-%version.tar.gz
Url: 		http://sourceforge.net/projects/kscope
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdebase3-devel
BuildRequires:  libgraphviz-devel
BuildRequires:  flex bison
Requires:	cscope ctags

%description
KScope is a source-editing environment for KDE based on Cscope.

%prep
%setup -q

%build
%configure_kde3
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_kde3_datadir}/applications
desktop-file-install --vendor='' --delete-original \
	--dir %{buildroot}%{_kde3_datadir}/applications/ \
	--add-category='TextEditor' \
	%{buildroot}%{_kde3_datadir}/applnk/Development/kscope.desktop

%find_lang %{name} --with-html

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%{_kde3_bindir}/%{name}
%{_kde3_appsdir}/%{name}
%{_kde3_datadir}/applications/kscope.desktop
%{_kde3_iconsdir}/*/*/apps/*.png


%changelog
* Fri Jul 25 2008 Funda Wang <fundawang@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 248143
- New version 1.6.2
- switch to /opt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 10 2008 Funda Wang <fundawang@mandriva.org> 1.6.1-1mdv2008.1
+ Revision: 147489
- New version 1.6.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Funda Wang <fundawang@mandriva.org> 1.6.0-1mdv2008.0
+ Revision: 55985
- switch to xdg menu entry
- New version 1.6.0


* Wed Dec 13 2006 Nicholas Brown <nickbrown@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 96345
- Add buildrequires

  + Laurent Montel <lmontel@mandriva.com>
    - Fix buildrequires
    - 1.4.2
    - Import kscope

* Tue Aug 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4.2-1
- 1.4.2

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.4-1
- 1.3.4

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.3.3-2mdk
- fix x86_64 build

* Fri Jan 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-1mdk
- 1.3.3
	- License changed to BSD due to incompatibility between 
		the GPL and the CPL (graphviz)
	- New: Multiple-view call graph/tree dialogue
	- mproved: Function name is displayed first 
		(consistent behaviour for query
		views and call tree widgets)
	- Improved: Updated to the latest KDE 'configure' template
- Fix source url

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-3mdk
- Fix Buildrequires

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-2mdk
- Fix Buildrequires
- use mkrel

* Fri May 27 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-1mdk
- 1.2.0

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.1-2mdk
- Fix on x86_64

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Wed Feb 02 2005 Nick Brown <nickbrown@mandrake.org> 1.1.0-1mdk
- 1.1.0

* Tue Dec 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Wed Nov 10 2004 Nick Brown <nickbrown@mandrake.org> 0.9-1mdk
- 0.9

* Sat Aug 28 2004 Nick Brown <nickbrown@mandrake.org> 0.8-2mdk
- Rebuild for new menu

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- 0.8

* Sat Jun 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri Apr 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Mar 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- url

* Tue Jan 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

